/**
 * @module dixim
 * @submodule common
 */
dixim.namespace('dixim.common');

/**
 * @module common
 * @submodule description-menu-view
 */

(function() {
var DescriptionMenuView;
var prototype;
var superConstructor;
var MenuView = dixim.common.MenuView;
var _ = dixim.ctt.ResourceBundle.get;
var $ = dixim.ctt.jQuery;

/**
 * @class DescriptionMenuView
 * @constructor
 * @param {Object} configs
 */
DescriptionMenuView = function(configs) {
    MenuView.call(this);
};

dixim.inherit(DescriptionMenuView, MenuView);
dixim.common.DescriptionMenuView = DescriptionMenuView;
prototype = DescriptionMenuView.prototype;
superConstructor = DescriptionMenuView.superConstructor;

var PREV = 'prev';

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    configs = configs || {};

    superConstructor.prototype._initialize.call(this, configs);
};

prototype._addMenuList = function(data) {
    $('#menu_settings_content').removeClass('txt_m').addClass('list_description');
    $('#menu_settings_content').append([
        '<li class="select-pointer">',
        '<h4 class="content-select-title txt_m">', _(data.titleStrId), '</h4>',
        '<p class="txt_gray">', _(data.descriptionStrId), '</p>',
        '</li>',
    ].join(''));
    $('#menu_settings_content li:last-child').on('click', data, dixim.proxy(this._clickMenu, this));
};

}());
