/**
 * @module dixim
 * @submodule contents
 */
dixim.namespace('dixim.contents');

/**
 * @module contents
 * @submodule operation-menu-dialog-view
 */

(function() {
var OperationMenuDialogView;
var prototype;
var superConstructor;
var ModalDialogView = dixim.common.ModalDialogView;
var Event = dixim.event.Event;
var _ = dixim.ctt.ResourceBundle.get;

/**
 * @class OperationMenuDialogView
 * @constructor
 * @param {Object} configs
 */
OperationMenuDialogView = function(configs) {
    ModalDialogView.call(this, configs);
};

dixim.inherit(OperationMenuDialogView, ModalDialogView);
dixim.contents.OperationMenuDialogView = OperationMenuDialogView;
prototype = OperationMenuDialogView.prototype;
superConstructor = OperationMenuDialogView.superConstructor;

var DELETE = 'delete';
var RENAME = 'rename';

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    configs = configs || {};

    configs.id = configs.id || '';
    configs.id = [configs.id, 'operation-menu-dialog-'].join('');

    configs.title = _('dialog_title_operation');
    configs.closeButton = dixim.proxy(this.hide, this);
    configs.buttons = [
        {text: _('dialog_close'), click: dixim.proxy(this.hide, this)},
    ];

    configs.lists = [];
    configs.lists.push({
        text: _('contents_operation_menu_delete'),
        click: dixim.proxy(this._clickDelete, this),
    });
    configs.lists.push({
        text: _('contents_operation_menu_rename'),
        click: dixim.proxy(this._clickRename, this),
    });

    superConstructor.prototype._initialize.call(this, configs);
};

prototype._clickDelete = function() {
    this.dispatchEvent(new Event(DELETE));
};

prototype._clickRename = function() {
    this.dispatchEvent(new Event(RENAME));
};

}());
