/**
 * @module dixim
 * @submodule contents
 */
dixim.namespace('dixim.contents');

/**
 * @module contents
 * @submodule contents-menu-view
 */

(function() {
var ContentsMenuView;
var prototype;
var superConstructor;
var DescriptionMenuView = dixim.common.DescriptionMenuView;
var _ = dixim.ctt.ResourceBundle.get;

/**
 * @class ContentsMenuView
 * @constructor
 * @param {Object} configs
 */
ContentsMenuView = function(configs) {
    DescriptionMenuView.call(this, configs);
};

dixim.inherit(ContentsMenuView, DescriptionMenuView);
dixim.contents.ContentsMenuView = ContentsMenuView;
prototype = ContentsMenuView.prototype;
superConstructor = ContentsMenuView.superConstructor;

var PREV = 'prev';
var MEDIA_CONTENTS = 'mediaContents';

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    configs = configs || {};

    configs.title = _('common_menu_title_contents');
    configs.menuList = [
        {
            titleStrId: 'contents_menu_media_contents',
            descriptionStrId: 'contents_menu_media_contents_description',
            eventParam: MEDIA_CONTENTS,
        },
    ];

    superConstructor.prototype._initialize.call(this, configs);
};

}());
